Changeset 104114 for trunk/dports/ruby


Ignore:
Timestamp:
Mar 16, 2013, 8:00:30 AM (7 years ago)
Author:
kimuraw@…
Message:

lang/rb-rubygems: remove variant "ruby19", fix #29113

ruby19 built-in gem is later version (1.8.23) than port:rb-rubygems.

File:
1 edited

Legend:

Unmodified
Added
Removed
  • trunk/dports/ruby/rb-rubygems/Portfile

    r103919 r104114  
    4646        ${gems_libdir}/specifications
    4747
    48 variant ruby conflicts ruby186 ruby19 description {add Ruby 1.8.7 support} {
     48variant ruby conflicts ruby186 description {add Ruby 1.8.7 support} {
    4949    depends_lib-append      port:ruby
    5050    destroot.args-append    --vendor --no-format-executable
     
    5757}
    5858
    59 variant ruby186 conflicts ruby ruby19 description {add Ruby 1.8.6 support} {
     59variant ruby186 conflicts ruby description {add Ruby 1.8.6 support} {
    6060    depends_lib-append      port:ruby186
    6161}
    6262
    63 variant ruby19 conflicts ruby ruby186 description {add Ruby 1.9 support} {
    64     depends_lib-append      port:ruby19
    65     destroot.args-append    --vendor --no-format-executable
    66     ruby.branch             1.9
    67     post-destroot {
    68         xinstall -d ${destroot}${ruby.bindir}
    69         move ${destroot}${prefix}/bin/gem ${destroot}/${ruby.bindir}/gem
    70     }
    71 }
    72 
    73 if {![variant_isset ruby186] && ![variant_isset ruby19]} {
     63if {![variant_isset ruby186]} {
    7464    default_variants +ruby
    7565}
Note: See TracChangeset for help on using the changeset viewer.